Vantaj

Heartbeats

List heartbeats

Get a paginated list of heartbeats in a project.

GEThttps://api.vantaj.co/v1/heartbeats

Requires an API key with the heartbeats:read scope.

Authorizations

Authorizationstringheaderrequired

Bearer authentication using your API key: Authorization: Bearer <token>

Query parameters

project_idstring<uuid>required

Project to list heartbeats from.

limitinteger

Page size (1–100).

Default:25
cursorstring

Opaque cursor from a previous response's next_cursor.

List heartbeats
cURL
curl --request GET \
  --url 'https://api.vantaj.co/v1/heartbeats?project_id=<project_id>' \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "name": "Nightly backup",
      "token": "hb_3f8a1c2e9d",
      "status": "up",
      "schedule_type": "interval",
      "interval_seconds": 86400,
      "grace_seconds": 300,
      "cron_expression": null,
      "timezone": "UTC",
      "last_pinged_at": "2026-06-21T02:00:00Z",
      "project_id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
      "created_at": "2026-01-15T10:30:00Z"
    }
  ],
  "pagination": {
    "next_cursor": null,
    "has_more": false
  }
}